<?php

namespace App\Tasks;

use App\Models\Transaction;
use Carbon\Carbon;

class UpdateMassive3Task
{
    public function handle(): void
    {
        Transaction::query()
            ->select([
                'id',
                'date',
                'value',
            ])
            ->where('id', '>', 0)
            ->chunkById(1000, function ($transactions) {

                foreach ($transactions as $transaction) {

                    $transaction->date = Carbon::now()->subDays(random_int(1, 3));
                    $transaction->value = 10 + random_int(0, 10);

                    Transaction::query()
                        ->where('id', '=', $transaction->id)
                        ->update([
                            'date' => $transaction->date,
                            'value' => $transaction->value,
                        ]);
                }
            });
    }
}
